PHPExcel_CalcEngine_CyclicReferenceStack

category | PHPExcel_CalcEngine_CyclicReferenceStack
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Clear the stack

    clear()

## Return the number of entries on the stack

    count() : integer

### Returns

`integer`

## Test to see if a specified entry exists on the stack

    onStack(mixed $value)

### Parameters

#### $value

`mixed`

The value to test

## Pop the last entry from the stack

    pop() : mixed

### Returns

`mixed`

## Push a new entry onto the stack

    push(mixed $value)

### Parameters

#### $value

`mixed`

## Return an array of all entries on the stack

    showStack() : mixed[]

### Returns

`mixed[]`

### Properties

##

    $_stack

@var mixed[]